src.m.Voiture.Voiture(3)

NAME
src.m.Voiture.Voiture - Representation d'une Voiture de DreamPark.

SYNOPSIS

  Public Member Functions
def __init__
Constucteur Voiture.
def setClient (self, client)
Met a jour la possesion d'une Voiture par un Client.
def id (self)
propriete : id Voiture
def hauteur (self)
propriete : hauteur Voiture
def longueur (self)
propriete : longueur Voiture
def immatriculation (self)
propriete : immatriculation Voiture
def client (self)
propriete : Client possedant Voiture
def __str__ (self)
Representation d'une Voiture en chaine.

Detailed Description

Representation d'une Voiture de DreamPark.

Constructor & Destructor Documentation

  def src.m.Voiture.Voiture.__init__ ( self, id, client = None, longueur = None, hauteur = None, imma = None)

Constucteur Voiture.

Parameters:
    id Si None : Cree une Voiture dans la BD Sinon : tentative de récupération de la Voiture avec cet id dans la bd
    client Si creation Client qui posséde la Voiture
    longueur Si creation longueur de la Voiture
    hauteur Si creation hauteur de la Voiture
    imma Si creation imma de la Voiture

Member Function Documentation

  def src.m.Voiture.Voiture.setClient ( self, client)

Met a jour la possesion d'une Voiture par un Client.

Parameters:
    client Client qui posséde la voiture

Author

Generated automatically by Doxygen for Dream Park from the source code.